# Class InitCAParameters.ParamDef

java.lang.Object
com.sun.grid.ca.InitCAParameters.ParamDef

Enclosing class:
  `InitCAParameters`

public static class InitCAParameters.ParamDef extends Object
Defines a parameter for the init ca command.

## Method Summary

Modifier and Type
Method
Description
`void`
`check(String value)`
Check the validity of a param value
`boolean`
`equals(Object obj)`
`String`
`getDefaultValue()`
Get the default value of this param
`String`
`getDescription()`
Get the description of this parameter
`String`
`getLocalizedName()`
Get the localized name of this parameter
`Integer`
`getMaxLen()`
Get the maximum number of characters for this parameter
`Integer`
`getMinLen()`
Get the minimum number of character for this parameter
`String`
`getName()`
Get name of this parameter
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
Get name of this parameter

Returns:
  name of this parameter

### getLocalizedName

public String getLocalizedName()
Get the localized name of this parameter

Returns:
  the localized name of this parameter

### getDescription

public String getDescription()
Get the description of this parameter

Returns:
  the description

### getDefaultValue

public String getDefaultValue()
Get the default value of this param

Returns:
  the default value of this param

### getMinLen

public Integer getMinLen()
Get the minimum number of character for this parameter

Returns:
  minimum number of character for this parameter

### getMaxLen

public Integer getMaxLen()
Get the maximum number of characters for this parameter

Returns:
  maximum number of characters for this parameter

### check

public void check(String value) throws GridCAException
Check the validity of a param value

Parameters:
  `value` -
Throws:
  `GridCAException`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`